diff --git a/gcc/testsuite/gcc.dg/analyzer/setjmp-8.c b/gcc/testsuite/gcc.dg/analyzer/setjmp-8.c
index 4f378b6..ad3ef8f 100644
--- a/gcc/testsuite/gcc.dg/analyzer/setjmp-8.c
+++ b/gcc/testsuite/gcc.dg/analyzer/setjmp-8.c
@@ -1,4 +1,4 @@
-/* { dg-additional-options "-fdiagnostics-show-line-numbers -fdiagnostics-nn-line-numbers -fdiagnostics-path-format=inline-events" } */
+/* { dg-additional-options "-fdiagnostics-show-line-numbers -fdiagnostics-nn-line-numbers -fdiagnostics-path-format=inline-events -fdiagnostics-show-caret" } */
 
 #include <setjmp.h>
 #include <stddef.h>
@@ -35,71 +35,73 @@ void outer (void)
 }
 
 /* { dg-begin-multiline-output "" }
+   NN |       __analyzer_dump_path ();
+      |       ^~~~~~~~~~~~~~~~~~~~~~~
   'outer': event 1
-     |
-     |   NN | void outer (void)
-     |      |      ^~~~~
-     |      |      |
-     |      |      (1) entry to 'outer'
-     |
+    |
+    |   NN | void outer (void)
+    |      |      ^~~~~
+    |      |      |
+    |      |      (1) entry to 'outer'
+    |
   'outer': event 2
-     |
-     |   NN |   i = setjmp(env);
-     |      |       ^~~~~~
-     |      |       |
-     |      |       (2) 'setjmp' called here
-     |
+    |
+    |   NN |   i = setjmp(env);
+    |      |       ^~~~~~
+    |      |       |
+    |      |       (2) 'setjmp' called here
+    |
   'outer': events 3-5
-     |
-     |   NN |   if (i != 0)
-     |      |      ^
-     |      |      |
-     |      |      (3) following 'false' branch (when 'i == 0')...
-     |......
-     |   NN |       foo (1);
-     |      |       ~~~~~~~
-     |      |       |
-     |      |       (4) ...to here
-     |   NN |       inner ();
-     |      |       ~~~~~~~~
-     |      |       |
-     |      |       (5) calling 'inner' from 'outer'
-     |
-     +--> 'inner': events 6-7
-             |
-             |   NN | static void inner (void)
-             |      |             ^~~~~
-             |      |             |
-             |      |             (6) entry to 'inner'
-             |......
-             |   NN |   longjmp (env, 0);
-             |      |   ~~~~~~~~~~~~~~~~
-             |      |   |
-             |      |   (7) rewinding from 'longjmp' in 'inner'...
-             |
-     <-------+
-     |
+    |
+    |   NN |   if (i != 0)
+    |      |      ^
+    |      |      |
+    |      |      (3) following 'false' branch (when 'i == 0')...
+    |......
+    |   NN |       foo (1);
+    |      |       ~~~~~~~
+    |      |       |
+    |      |       (4) ...to here
+    |   NN |       inner ();
+    |      |       ~~~~~~~~
+    |      |       |
+    |      |       (5) calling 'inner' from 'outer'
+    |
+    +--> 'inner': events 6-7
+           |
+           |   NN | static void inner (void)
+           |      |             ^~~~~
+           |      |             |
+           |      |             (6) entry to 'inner'
+           |......
+           |   NN |   longjmp (env, 0);
+           |      |   ~~~~~~~~~~~~~~~~
+           |      |   |
+           |      |   (7) rewinding from 'longjmp' in 'inner'...
+           |
+    <------+
+    |
   'outer': event 8
-     |
-     |   NN |   i = setjmp(env);
-     |      |       ^~~~~~
-     |      |       |
-     |      |       (8) ...to 'setjmp' in 'outer' (saved at (2))
-     |
+    |
+    |   NN |   i = setjmp(env);
+    |      |       ^~~~~~
+    |      |       |
+    |      |       (8) ...to 'setjmp' in 'outer' (saved at (2))
+    |
   'outer': events 9-11
-     |
-     |   NN |   if (i != 0)
-     |      |      ^
-     |      |      |
-     |      |      (9) following 'true' branch (when 'i != 0')...
-     |   NN |     {
-     |   NN |       foo (2);
-     |      |       ~~~~~~~
-     |      |       |
-     |      |       (10) ...to here
-     |   NN |       __analyzer_dump_path ();
-     |      |       ~~~~~~~~~~~~~~~~~~~~~~~
-     |      |       |
-     |      |       (11) here
-     |
+    |
+    |   NN |   if (i != 0)
+    |      |      ^
+    |      |      |
+    |      |      (9) following 'true' branch (when 'i != 0')...
+    |   NN |     {
+    |   NN |       foo (2);
+    |      |       ~~~~~~~
+    |      |       |
+    |      |       (10) ...to here
+    |   NN |       __analyzer_dump_path ();
+    |      |       ~~~~~~~~~~~~~~~~~~~~~~~
+    |      |       |
+    |      |       (11) here
+    |
     { dg-end-multiline-output "" } */
diff --git a/gcc/testsuite/gcc.dg/analyzer/setjmp-9.c b/gcc/testsuite/gcc.dg/analyzer/setjmp-9.c
index acfc3b7..081ae047 100644
--- a/gcc/testsuite/gcc.dg/analyzer/setjmp-9.c
+++ b/gcc/testsuite/gcc.dg/analyzer/setjmp-9.c
@@ -1,4 +1,4 @@
-/* { dg-additional-options "-fdiagnostics-show-line-numbers -fdiagnostics-nn-line-numbers -fdiagnostics-path-format=inline-events" } */
+/* { dg-additional-options "-fdiagnostics-show-line-numbers -fdiagnostics-nn-line-numbers -fdiagnostics-path-format=inline-events -fdiagnostics-show-caret" } */
 
 #include <setjmp.h>
 #include <stddef.h>
@@ -37,71 +37,73 @@ void outer (void)
 }
 
 /* { dg-begin-multiline-output "" }
+   NN |       __analyzer_dump_path ();
+      |       ^~~~~~~~~~~~~~~~~~~~~~~
   'outer': event 1
-     |
-     |   NN | void outer (void)
-     |      |      ^~~~~
-     |      |      |
-     |      |      (1) entry to 'outer'
-     |
+    |
+    |   NN | void outer (void)
+    |      |      ^~~~~
+    |      |      |
+    |      |      (1) entry to 'outer'
+    |
   'outer': event 2
-     |
-     |   NN |   i = setjmp(env);
-     |      |       ^~~~~~
-     |      |       |
-     |      |       (2) 'setjmp' called here
-     |
+    |
+    |   NN |   i = setjmp(env);
+    |      |       ^~~~~~
+    |      |       |
+    |      |       (2) 'setjmp' called here
+    |
   'outer': events 3-5
-     |
-     |   NN |   if (i != 0)
-     |      |      ^
-     |      |      |
-     |      |      (3) following 'false' branch (when 'i == 0')...
-     |......
-     |   NN |       foo (1);
-     |      |       ~~~~~~~
-     |      |       |
-     |      |       (4) ...to here
-     |   NN |       inner ();
-     |      |       ~~~~~~~~
-     |      |       |
-     |      |       (5) calling 'inner' from 'outer'
-     |
-     +--> 'inner': events 6-7
-             |
-             |   NN | static void inner (void)
-             |      |             ^~~~~
-             |      |             |
-             |      |             (6) entry to 'inner'
-             |......
-             |   NN |   longjmp (env, unknown_val);
-             |      |   ~~~~~~~~~~~~~~~~~~~~~~~~~~
-             |      |   |
-             |      |   (7) rewinding from 'longjmp' in 'inner'...
-             |
-     <-------+
-     |
+    |
+    |   NN |   if (i != 0)
+    |      |      ^
+    |      |      |
+    |      |      (3) following 'false' branch (when 'i == 0')...
+    |......
+    |   NN |       foo (1);
+    |      |       ~~~~~~~
+    |      |       |
+    |      |       (4) ...to here
+    |   NN |       inner ();
+    |      |       ~~~~~~~~
+    |      |       |
+    |      |       (5) calling 'inner' from 'outer'
+    |
+    +--> 'inner': events 6-7
+           |
+           |   NN | static void inner (void)
+           |      |             ^~~~~
+           |      |             |
+           |      |             (6) entry to 'inner'
+           |......
+           |   NN |   longjmp (env, unknown_val);
+           |      |   ~~~~~~~~~~~~~~~~~~~~~~~~~~
+           |      |   |
+           |      |   (7) rewinding from 'longjmp' in 'inner'...
+           |
+    <------+
+    |
   'outer': event 8
-     |
-     |   NN |   i = setjmp(env);
-     |      |       ^~~~~~
-     |      |       |
-     |      |       (8) ...to 'setjmp' in 'outer' (saved at (2))
-     |
+    |
+    |   NN |   i = setjmp(env);
+    |      |       ^~~~~~
+    |      |       |
+    |      |       (8) ...to 'setjmp' in 'outer' (saved at (2))
+    |
   'outer': events 9-11
-     |
-     |   NN |   if (i != 0)
-     |      |      ^
-     |      |      |
-     |      |      (9) following 'true' branch (when 'i != 0')...
-     |   NN |     {
-     |   NN |       foo (2);
-     |      |       ~~~~~~~
-     |      |       |
-     |      |       (10) ...to here
-     |   NN |       __analyzer_dump_path ();
-     |      |       ~~~~~~~~~~~~~~~~~~~~~~~
-     |      |       |
-     |      |       (11) here
-     |
+    |
+    |   NN |   if (i != 0)
+    |      |      ^
+    |      |      |
+    |      |      (9) following 'true' branch (when 'i != 0')...
+    |   NN |     {
+    |   NN |       foo (2);
+    |      |       ~~~~~~~
+    |      |       |
+    |      |       (10) ...to here
+    |   NN |       __analyzer_dump_path ();
+    |      |       ~~~~~~~~~~~~~~~~~~~~~~~
+    |      |       |
+    |      |       (11) here
+    |
     { dg-end-multiline-output "" } */
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-default.c b/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-default.c
index d68f856..5712dbd 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-default.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-default.c
@@ -1,5 +1,5 @@
 /* { dg-do compile } */
-/* { dg-options "" } */
+/* { dg-options "-fdiagnostics-show-caret" } */
 
 #include <stdlib.h>
 
@@ -12,101 +12,103 @@ void wrapped_free (void *ptr)
 {
   free (ptr); /* { dg-warning "double-free of 'ptr' \\\[CWE-415\\]" } */
   /* { dg-begin-multiline-output "" }
+   free (ptr);
+   ^~~~~~~~~~
   'test': events 1-2
-     |
-     | {
-     | ^
-     | |
-     | (1) entering 'test'
-     |   boxed_int *obj = make_boxed_int (i);
-     |                    ~~~~~~~~~~~~~~~~~~
-     |                    |
-     |                    (2) calling 'make_boxed_int'
-     |
-     +--> 'make_boxed_int': events 3-4
+    |
+    | {
+    | ^
+    | |
+    | (1) entering 'test'
+    |   boxed_int *obj = make_boxed_int (i);
+    |                    ~~~~~~~~~~~~~~~~~~
+    |                    |
+    |                    (2) calling 'make_boxed_int'
+    |
+    +--> 'make_boxed_int': events 3-4
+           |
+           | {
+           | ^
+           | |
+           | (3) entering 'make_boxed_int'
+           |   boxed_int *result = (boxed_int *)wrapped_malloc (sizeof (boxed_int));
+           |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+           |                                    |
+           |                                    (4) calling 'wrapped_malloc'
+           |
+           +--> 'wrapped_malloc': events 5-6
                   |
                   | {
                   | ^
                   | |
-                  | (3) entering 'make_boxed_int'
-                  |   boxed_int *result = (boxed_int *)wrapped_malloc (sizeof (boxed_int));
-                  |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-                  |                                    |
-                  |                                    (4) calling 'wrapped_malloc'
+                  | (5) entering 'wrapped_malloc'
+                  |   return malloc (size);
+                  |          ~~~~~~~~~~~~~
+                  |          |
+                  |          (6) calling 'malloc'
                   |
-                  +--> 'wrapped_malloc': events 5-6
-                               |
-                               | {
-                               | ^
-                               | |
-                               | (5) entering 'wrapped_malloc'
-                               |   return malloc (size);
-                               |          ~~~~~~~~~~~~~
-                               |          |
-                               |          (6) calling 'malloc'
-                               |
-     <-------------------------+
-     |
+    <-------------+
+    |
   'test': event 7
-     |
-     |   free_boxed_int (obj);
-     |   ^~~~~~~~~~~~~~~~~~~~
-     |   |
-     |   (7) calling 'free_boxed_int'
-     |
-     +--> 'free_boxed_int': events 8-9
+    |
+    |   free_boxed_int (obj);
+    |   ^~~~~~~~~~~~~~~~~~~~
+    |   |
+    |   (7) calling 'free_boxed_int'
+    |
+    +--> 'free_boxed_int': events 8-9
+           |
+           | {
+           | ^
+           | |
+           | (8) entering 'free_boxed_int'
+           |   wrapped_free (bi);
+           |   ~~~~~~~~~~~~~~~~~
+           |   |
+           |   (9) calling 'wrapped_free'
+           |
+           +--> 'wrapped_free': events 10-11
                   |
                   | {
                   | ^
                   | |
-                  | (8) entering 'free_boxed_int'
-                  |   wrapped_free (bi);
-                  |   ~~~~~~~~~~~~~~~~~
+                  | (10) entering 'wrapped_free'
+                  |   free (ptr);
+                  |   ~~~~~~~~~~
                   |   |
-                  |   (9) calling 'wrapped_free'
+                  |   (11) calling 'free'
                   |
-                  +--> 'wrapped_free': events 10-11
-                              |
-                              | {
-                              | ^
-                              | |
-                              | (10) entering 'wrapped_free'
-                              |   free (ptr);
-                              |   ~~~~~~~~~~
-                              |   |
-                              |   (11) calling 'free'
-                              |
-     <------------------------+
-     |
+    <-------------+
+    |
   'test': event 12
-     |
-     |   free_boxed_int (obj);
-     |   ^~~~~~~~~~~~~~~~~~~~
-     |   |
-     |   (12) calling 'free_boxed_int'
-     |
-     +--> 'free_boxed_int': events 13-14
+    |
+    |   free_boxed_int (obj);
+    |   ^~~~~~~~~~~~~~~~~~~~
+    |   |
+    |   (12) calling 'free_boxed_int'
+    |
+    +--> 'free_boxed_int': events 13-14
+           |
+           | {
+           | ^
+           | |
+           | (13) entering 'free_boxed_int'
+           |   wrapped_free (bi);
+           |   ~~~~~~~~~~~~~~~~~
+           |   |
+           |   (14) calling 'wrapped_free'
+           |
+           +--> 'wrapped_free': events 15-16
                   |
                   | {
                   | ^
                   | |
-                  | (13) entering 'free_boxed_int'
-                  |   wrapped_free (bi);
-                  |   ~~~~~~~~~~~~~~~~~
+                  | (15) entering 'wrapped_free'
+                  |   free (ptr);
+                  |   ~~~~~~~~~~
                   |   |
-                  |   (14) calling 'wrapped_free'
+                  |   (16) calling 'free'
                   |
-                  +--> 'wrapped_free': events 15-16
-                              |
-                              | {
-                              | ^
-                              | |
-                              | (15) entering 'wrapped_free'
-                              |   free (ptr);
-                              |   ~~~~~~~~~~
-                              |   |
-                              |   (16) calling 'free'
-                              |
      { dg-end-multiline-output "" } */
 }
 
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-1.c b/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-1.c
index a457283..430d817 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-1.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-1.c
@@ -1,5 +1,5 @@
 /* { dg-do compile } */
-/* { dg-options "-fdiagnostics-path-format=inline-events" } */
+/* { dg-options "-fdiagnostics-path-format=inline-events -fdiagnostics-show-caret" } */
 
 #include <stdlib.h>
 
@@ -12,101 +12,103 @@ void wrapped_free (void *ptr)
 {
   free (ptr); /* { dg-warning "double-free of 'ptr' \\\[CWE-415\\]" } */
   /* { dg-begin-multiline-output "" }
+   free (ptr);
+   ^~~~~~~~~~
   'test': events 1-2
-     |
-     | {
-     | ^
-     | |
-     | (1) entering 'test'
-     |   boxed_int *obj = make_boxed_int (i);
-     |                    ~~~~~~~~~~~~~~~~~~
-     |                    |
-     |                    (2) calling 'make_boxed_int'
-     |
-     +--> 'make_boxed_int': events 3-4
+    |
+    | {
+    | ^
+    | |
+    | (1) entering 'test'
+    |   boxed_int *obj = make_boxed_int (i);
+    |                    ~~~~~~~~~~~~~~~~~~
+    |                    |
+    |                    (2) calling 'make_boxed_int'
+    |
+    +--> 'make_boxed_int': events 3-4
+           |
+           | {
+           | ^
+           | |
+           | (3) entering 'make_boxed_int'
+           |   boxed_int *result = (boxed_int *)wrapped_malloc (sizeof (boxed_int));
+           |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+           |                                    |
+           |                                    (4) calling 'wrapped_malloc'
+           |
+           +--> 'wrapped_malloc': events 5-6
                   |
                   | {
                   | ^
                   | |
-                  | (3) entering 'make_boxed_int'
-                  |   boxed_int *result = (boxed_int *)wrapped_malloc (sizeof (boxed_int));
-                  |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-                  |                                    |
-                  |                                    (4) calling 'wrapped_malloc'
+                  | (5) entering 'wrapped_malloc'
+                  |   return malloc (size);
+                  |          ~~~~~~~~~~~~~
+                  |          |
+                  |          (6) calling 'malloc'
                   |
-                  +--> 'wrapped_malloc': events 5-6
-                               |
-                               | {
-                               | ^
-                               | |
-                               | (5) entering 'wrapped_malloc'
-                               |   return malloc (size);
-                               |          ~~~~~~~~~~~~~
-                               |          |
-                               |          (6) calling 'malloc'
-                               |
-     <-------------------------+
-     |
+    <-------------+
+    |
   'test': event 7
-     |
-     |   free_boxed_int (obj);
-     |   ^~~~~~~~~~~~~~~~~~~~
-     |   |
-     |   (7) calling 'free_boxed_int'
-     |
-     +--> 'free_boxed_int': events 8-9
+    |
+    |   free_boxed_int (obj);
+    |   ^~~~~~~~~~~~~~~~~~~~
+    |   |
+    |   (7) calling 'free_boxed_int'
+    |
+    +--> 'free_boxed_int': events 8-9
+           |
+           | {
+           | ^
+           | |
+           | (8) entering 'free_boxed_int'
+           |   wrapped_free (bi);
+           |   ~~~~~~~~~~~~~~~~~
+           |   |
+           |   (9) calling 'wrapped_free'
+           |
+           +--> 'wrapped_free': events 10-11
                   |
                   | {
                   | ^
                   | |
-                  | (8) entering 'free_boxed_int'
-                  |   wrapped_free (bi);
-                  |   ~~~~~~~~~~~~~~~~~
+                  | (10) entering 'wrapped_free'
+                  |   free (ptr);
+                  |   ~~~~~~~~~~
                   |   |
-                  |   (9) calling 'wrapped_free'
+                  |   (11) calling 'free'
                   |
-                  +--> 'wrapped_free': events 10-11
-                              |
-                              | {
-                              | ^
-                              | |
-                              | (10) entering 'wrapped_free'
-                              |   free (ptr);
-                              |   ~~~~~~~~~~
-                              |   |
-                              |   (11) calling 'free'
-                              |
-     <------------------------+
-     |
+    <-------------+
+    |
   'test': event 12
-     |
-     |   free_boxed_int (obj);
-     |   ^~~~~~~~~~~~~~~~~~~~
-     |   |
-     |   (12) calling 'free_boxed_int'
-     |
-     +--> 'free_boxed_int': events 13-14
+    |
+    |   free_boxed_int (obj);
+    |   ^~~~~~~~~~~~~~~~~~~~
+    |   |
+    |   (12) calling 'free_boxed_int'
+    |
+    +--> 'free_boxed_int': events 13-14
+           |
+           | {
+           | ^
+           | |
+           | (13) entering 'free_boxed_int'
+           |   wrapped_free (bi);
+           |   ~~~~~~~~~~~~~~~~~
+           |   |
+           |   (14) calling 'wrapped_free'
+           |
+           +--> 'wrapped_free': events 15-16
                   |
                   | {
                   | ^
                   | |
-                  | (13) entering 'free_boxed_int'
-                  |   wrapped_free (bi);
-                  |   ~~~~~~~~~~~~~~~~~
+                  | (15) entering 'wrapped_free'
+                  |   free (ptr);
+                  |   ~~~~~~~~~~
                   |   |
-                  |   (14) calling 'wrapped_free'
+                  |   (16) calling 'free'
                   |
-                  +--> 'wrapped_free': events 15-16
-                              |
-                              | {
-                              | ^
-                              | |
-                              | (15) entering 'wrapped_free'
-                              |   free (ptr);
-                              |   ~~~~~~~~~~
-                              |   |
-                              |   (16) calling 'free'
-                              |
      { dg-end-multiline-output "" } */
 }
 
diff --git a/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-2.c b/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-2.c
index 2c7e401..c2bfabe 100644
--- a/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-2.c
+++ b/gcc/testsuite/gcc.dg/plugin/diagnostic-path-format-inline-events-2.c
@@ -1,5 +1,5 @@
 /* { dg-do compile } */
-/* { dg-options "-fdiagnostics-path-format=inline-events" } */
+/* { dg-options "-fdiagnostics-path-format=inline-events -fdiagnostics-show-caret" } */
 
 /* Verify that 'inline-events' copes gracefully with events with an
    unknown location.  */
@@ -17,105 +17,108 @@ void wrapped_free (void *ptr)
 {
   free (ptr); /* { dg-warning "double-free of 'ptr' \\\[CWE-415\\]" } */
   /* { dg-begin-multiline-output "" }
+   free (ptr);
+   ^~~~~~~~~~
   'test': events 1-2
-     |
-     | {
-     | ^
-     | |
-     | (1) entering 'test'
-     |   boxed_int *obj = make_boxed_int (i);
-     |                    ~~~~~~~~~~~~~~~~~~
-     |                    |
-     |                    (2) calling 'make_boxed_int'
-     |
-     +--> 'make_boxed_int': events 3-4
+    |
+    | {
+    | ^
+    | |
+    | (1) entering 'test'
+    |   boxed_int *obj = make_boxed_int (i);
+    |                    ~~~~~~~~~~~~~~~~~~
+    |                    |
+    |                    (2) calling 'make_boxed_int'
+    |
+    +--> 'make_boxed_int': events 3-4
+           |
+           | {
+           | ^
+           | |
+           | (3) entering 'make_boxed_int'
+           |   boxed_int *result = (boxed_int *)wrapped_malloc (sizeof (boxed_int));
+           |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+           |                                    |
+           |                                    (4) calling 'wrapped_malloc'
+           |
+           +--> 'wrapped_malloc': events 5-6
                   |
                   | {
                   | ^
                   | |
-                  | (3) entering 'make_boxed_int'
-                  |   boxed_int *result = (boxed_int *)wrapped_malloc (sizeof (boxed_int));
-                  |                                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-                  |                                    |
-                  |                                    (4) calling 'wrapped_malloc'
+                  | (5) entering 'wrapped_malloc'
+                  |   return malloc (size);
+                  |          ~~~~~~~~~~~~~
+                  |          |
+                  |          (6) calling 'malloc'
                   |
-                  +--> 'wrapped_malloc': events 5-6
-                               |
-                               | {
-                               | ^
-                               | |
-                               | (5) entering 'wrapped_malloc'
-                               |   return malloc (size);
-                               |          ~~~~~~~~~~~~~
-                               |          |
-                               |          (6) calling 'malloc'
-                               |
-     <-------------------------+
-     |
+    <-------------+
+    |
   'test': event 7
-     |
-     |   free_boxed_int (obj);
-     |   ^~~~~~~~~~~~~~~~~~~~
-     |   |
-     |   (7) calling 'free_boxed_int'
-     |
-     +--> 'free_boxed_int': events 8-9
+    |
+    |   free_boxed_int (obj);
+    |   ^~~~~~~~~~~~~~~~~~~~
+    |   |
+    |   (7) calling 'free_boxed_int'
+    |
+    +--> 'free_boxed_int': events 8-9
+           |
+           | {
+           | ^
+           | |
+           | (8) entering 'free_boxed_int'
+           |   wrapped_free (bi);
+           |   ~~~~~~~~~~~~~~~~~
+           |   |
+           |   (9) calling 'wrapped_free'
+           |
+           +--> 'wrapped_free': events 10-11
                   |
                   | {
                   | ^
                   | |
-                  | (8) entering 'free_boxed_int'
-                  |   wrapped_free (bi);
-                  |   ~~~~~~~~~~~~~~~~~
+                  | (10) entering 'wrapped_free'
+                  |   free (ptr);
+                  |   ~~~~~~~~~~
                   |   |
-                  |   (9) calling 'wrapped_free'
+                  |   (11) calling 'free'
                   |
-                  +--> 'wrapped_free': events 10-11
-                              |
-                              | {
-                              | ^
-                              | |
-                              | (10) entering 'wrapped_free'
-                              |   free (ptr);
-                              |   ~~~~~~~~~~
-                              |   |
-                              |   (11) calling 'free'
-                              |
-     <------------------------+
-     |
+    <-------------+
+    |
   'test': event 12
-     |
-     | (12): calling 'missing_location'
-     |
+    |
+    |cc1:
+    | (12): calling 'missing_location'
+    |
   'test': event 13
-     |
-     |   free_boxed_int (obj);
-     |   ^~~~~~~~~~~~~~~~~~~~
-     |   |
-     |   (13) calling 'free_boxed_int'
-     |
-     +--> 'free_boxed_int': events 14-15
+    |
+    |   free_boxed_int (obj);
+    |   ^~~~~~~~~~~~~~~~~~~~
+    |   |
+    |   (13) calling 'free_boxed_int'
+    |
+    +--> 'free_boxed_int': events 14-15
+           |
+           | {
+           | ^
+           | |
+           | (14) entering 'free_boxed_int'
+           |   wrapped_free (bi);
+           |   ~~~~~~~~~~~~~~~~~
+           |   |
+           |   (15) calling 'wrapped_free'
+           |
+           +--> 'wrapped_free': events 16-17
                   |
                   | {
                   | ^
                   | |
-                  | (14) entering 'free_boxed_int'
-                  |   wrapped_free (bi);
-                  |   ~~~~~~~~~~~~~~~~~
+                  | (16) entering 'wrapped_free'
+                  |   free (ptr);
+                  |   ~~~~~~~~~~
                   |   |
-                  |   (15) calling 'wrapped_free'
+                  |   (17) calling 'free'
                   |
-                  +--> 'wrapped_free': events 16-17
-                              |
-                              | {
-                              | ^
-                              | |
-                              | (16) entering 'wrapped_free'
-                              |   free (ptr);
-                              |   ~~~~~~~~~~
-                              |   |
-                              |   (17) calling 'free'
-                              |
      { dg-end-multiline-output "" } */
 }
 
